View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012238ParaViewBugpublic2011-05-30 09:292015-01-11 08:21
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.12Fixed in Version3.12 
Summary0012238: ParaView should auto-load server-side plugins before firing serverAdded signal
DescriptionAs reported on mailing list:
".... plugins on the client, receive serverAdded, before plugins on the server have been loaded, so if they try to create proxies via the proxymanager - they fail because the server doesn't have them yet and can't create them.

This is a problem. I'm looking around to see if there is some other way I can destroy and recreate proxies when the gui starts up and then the user makes a new connection. Ideally I need a pluginsLoaded (on the server) rather than a serverAdded event."
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0026665)
Utkarsh Ayachit (administrator)
2011-06-03 14:09

commit 57c34b277a85ff3a9d97b5e4a1b2fc0b62c9a6d1
Merge: 8926339 924a415
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Tue May 31 10:40:41 2011 -0400

    Merge topic '12240_cleanup_proxy_definition_manager'
    
    924a415 Ensuring that plugin status is updated as plugins are loaded.
    23728e6 Fixed BUG 0012238. Load plugins before server-added is noted.
    11fb702 Making ProxyDefinitionManager a Remote Object.
    9fb7062 Mark this plugin as required on server alone.
    c784bbc Incorrect 'if' resulted in plugins reported required on client.
(0026668)
Alan Scott (manager)
2011-06-03 17:04

Trusting Utkarsh.

- Issue History
Date Modified Username Field Change
2011-05-30 09:29 Utkarsh Ayachit New Issue
2011-05-30 09:29 Utkarsh Ayachit Status backlog => tabled
2011-05-30 09:29 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2011-06-03 14:09 Utkarsh Ayachit Note Added: 0026665
2011-06-03 14:09 Utkarsh Ayachit Status tabled => @80@
2011-06-03 14:09 Utkarsh Ayachit Fixed in Version => 3.12
2011-06-03 14:09 Utkarsh Ayachit Resolution open => fixed
2011-06-03 17:04 Alan Scott Note Added: 0026668
2011-06-03 17:04 Alan Scott Status @80@ => closed
2015-01-11 08:21 Sebastiennn Jourdain Source_changeset_attached => ParaView master 8637fffc


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker